prefix=@prefix@
prgdir=@PRGDIR@
imdir=@IMDIR@

# CFLAGS += -V2.7.2.3 -I.
CFLAGS += -I.
PROG = cce_hzinput.so
CCE_OBJS = xl_hzinput.o CCE_hzinput.o \
           xl_pinyin.o CCE_pinyin.o

CFLAGS = -Wall -I../../../include -I.

all: xl_intcode.so cce_hzinput.so cce_pinyin.so test

CCE_hzinput.o : CCE_hzinput.c
	gcc $(CFLAGS) -c CCE_hzinput.c -o CCE_hzinput.o
xl_hzinput.o : xl_hzinput.c
	gcc $(CFLAGS) -c xl_hzinput.c -o xl_hzinput.o
cce_hzinput.so: CCE_hzinput.o xl_hzinput.o
	gcc CCE_hzinput.o xl_hzinput.o -shared -o cce_hzinput.so

xl_pinyin.o : xl_pinyin.c xl_pinyin.h
	gcc $(CFLAGS) -c xl_pinyin.c -o xl_pinyin.o
CCE_pinyin.o : CCE_pinyin.c
	gcc $(CFLAGS) -c CCE_pinyin.c -o CCE_pinyin.o
cce_pinyin.so : xl_pinyin.o CCE_pinyin.o
	gcc CCE_pinyin.o xl_pinyin.o -shared -o cce_pinyin.so

xl_intcode.o : xl_intcode.c
	gcc $(CFLAGS) -c xl_intcode.c -o xl_intcode.o
xl_intcode.so : xl_intcode.o
	gcc xl_intcode.o  -shared -o xl_intcode.so

test: 
	gcc -I../../../include -I. \
            xl_hzinput.c CCE_hzinput.c test.c -o test
cin2tab : cin2tab.c 
	gcc -I../../../include -I.  cin2tab.c -o cin2tab
install:
	mkdir -p $(prefix)$(imdir)
	cp *.so $(prefix)$(imdir)
clean:
	rm -f *.o core a.out *.bak test *.so

distclean: clean
	rm -f Makefile

